.popup {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
  width: 100%;
  height: 0;
  overflow: hidden;
  background: 0 0;
  opacity: 0;
  pointer-events: none;

  &--thanks {
    .popup__content {
      padding: 55px 24px 106px 24px;
    }

    .popup__title {
      margin-bottom: 40px;
      text-align: center;
    }

    .popup__desc {
      font-size: 28px;
      line-height: 33px;
      text-align: center;
      color: $brown;
      max-width: 270px;
      margin: 0 auto;
    }
  }

  &--more {
    .popup__title {
      margin-bottom: 29px;
      text-align: center;
    }

    .popup__button {
      left: 50%;
      transform: translateX(-50%);
      position: relative;
    }
  }

  &--form {
    .popup__title {
      margin-bottom: 40px;
      text-align: center;
    }

    .popup__desc {
      margin-bottom: 40px;
      font-size: 28px;
      line-height: 33px;
      text-align: center;
      color: $brown;
    }

    .popup__button {
      position: relative;
      left: 50%;
      transform: translateX(-50%);
    }

    .subscribe__input {
      max-width: 100%;
      margin-bottom: 50px;
    }
  }

  &.opened {
    height: 100%;
    overflow: auto;
    background: rgba($brown, 0.5);
    cursor: pointer;
    opacity: 1;
    pointer-events: auto;

    .popup__content {
      transform: translateY(0);
      opacity: 1;
      transition: opacity 0.3s, transform 0.5s;
    }
  }
}

.popup__wrapper {
  position: relative;
  z-index: 2;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  min-height: 100%;
  padding: 70px 0 30px;
  overflow: auto;
}

.popup__content {
  position: relative;
  width: calc(100% - 20px);
  padding: 30px 20px 100px 20px;
  background-color: $cream;
  transform: translateY(30px);
  cursor: default;
  opacity: 0;
  transition: opacity 0s, transform 0s;
}

.popup__subtitle {
  font-size: 18px;
  line-height: 21px;
  color: $dark;
  text-align: center;
  margin-bottom: 50px;
  margin-top: -20px;
}

.popup__text-block {
  ul, ol {
    @include list-reset;
    margin-bottom: 26px;
    font-size: 18px;
    line-height: 165%;
    color: $dark;

    li {
      display: flex;
      align-items: flex-start;
      padding-left: 20px;
      position: relative;
      &::before {
        @include pseudo;
        width: 8px;
        height: 8px;
        background-color: $red;
        border-radius: 50%;
        position: absolute;
        left: 0;
        top: 9px;
      }
      &:not(:last-child) {
        margin-bottom: 26px;
      }
    }
  }
}

.popup__line {
  margin-bottom: 26px;
  font-size: 18px;
  line-height: 165%;
  color: $dark;
  display: flex;
  align-items: flex-start;

  svg {
    display: block;
    margin-top: 3px;
    margin-right: 12px;
  }
}

.popup__close {
  position: absolute;
  bottom: 30px;
  left: 50%;
  display: block;
  padding: 0;
  background: transparent;
  border: none;
  transform: translateX(-50%);
  cursor: pointer;
  appearance: none;

  svg {
    width: 30px;
    height: 30px;
    fill: $green;
  }
}

.popup__block {
  margin-bottom: 40px;

  p {
    font-weight: 400;
    font-size: 18px;
    line-height: 21px;
    color: $brown;

    &:not(:last-child) {
      margin-bottom: 30px;
    }
  }
}

.popup__button {
  width: calc(100% - 30px);
  height: 77px;
  bottom: unset;

  .button__icon {
    svg {
      width: 20px;
      height: 20px;
      fill: $red;
    }
  }
}

.popup__form {
  margin-bottom: 40px;
}

.popup__label {
  display: flex;
  align-items: center;
  font-size: 18px;
  line-height: 21px;
  color: $green;

  input {
    position: absolute;
    left: -9999px;

    &:checked ~ .popup__checkbox {
      background-image: url("../images/check.png");
      background-repeat: no-repeat;
      background-position: center;
    }
  }
}

.popup__checkbox {
  @include pseudo;
  width: 20px;
  min-width: 20px;
  height: 20px;
  margin-right: 10px;
  background-color: $green;
  border-radius: 6px 0;
}

@media (min-width: 1280px) {
  .popup {
    &--thanks {
      .popup__close {
        right: unset;
        bottom: 55px;
        left: 50%;
        transform: translateX(-50%);
      }

      .popup__desc {
        width: unset;
      }

      .popup__content {
        max-width: 605px;
        padding: 55px 76px 119px 76px;

      }

      .popup__title {
        margin-bottom: 40px;
        font-size: 64px;
        line-height: 113%;
      }
    }

    &--more {
      .popup__content {
        max-width: 712px;
        padding: 56px 95px;
      }

      .popup__button {
        width: auto;
      }

      .popup__title {
        margin-bottom: 40px;
        text-align: center;
      }
    }

    &--form {
      .popup__content {
        max-width: 886px;
        padding: 55px 100px 75px 100px;
      }

      .popup__title {
        margin-bottom: 40px;
        text-align: center;

      }

      .subscribe__input {
        margin-bottom: 0;
        width: 288px;
        margin: 0;
        margin-right: 30px;
      }

      .popup__button {
        transform: unset;
        left: unset;
        bottom: unset;
      }

      .popup__label {
        justify-content: center;
      }

      .popup__desc {
        max-width: 631px;
        margin: 0 auto;
        margin-bottom: 40px;
        font-size: 28px;
        line-height: 33px;
      }

      .popup__form {
        display: flex;
        width: 557px;
        margin: 0 auto;
        margin-bottom: 40px;
        justify-content: space-between;
      }
    }
  }

  .popup__close {
    right: 20px;
    bottom: 20px;
    left: unset;
    transform: unset;
  }

  .popup__content {
    border-radius: 0px 100px;
  }
}
